Subject: Re: [PATCH] virtio: Add ID for virtio media

From: "Michael S. Tsirkin" <[email-masked]>
Date: Fri, 24 Apr 2026 12:31:50 -0400

On Fri, Apr 24, 2026 at 03:37:14PM +0200, Albert Esteve wrote:
> On Fri, Apr 24, 2026 at 3:07 PM Michael S. Tsirkin <[email-masked]> wrote:
> >
> > On Thu, Apr 09, 2026 at 06:53:41PM +0200, Albert Esteve wrote:
> > > Hi,
> > >
> > >
> > > On Tue, Mar 10, 2026 at 9:41 AM Albert Esteve <[email-masked]> wrote:
> > > >
> > > > Add VIRTIO_ID_MEDIA definition for virtio-media.
> > > >
> > > > Signed-off-by: Albert Esteve <[email-masked]>
> > >
> > > Are there any thoughts on this patch, or any actions I need to take?
> > >
> > > Thanks,
> > > Albert
> >
> > Create a github issue and request a vote as documented in README.md
> 
> The inclusion of this ID was already voted and approved. The device
> already appears in the VirtIO v1.4 specification, with the same ID (as
> linked below). This patch is only meant to translate the decision to
> the kernel header.
> 
> >
> > > > ---
> > > > While the Linux driver for virtio media is currently under active
> > > > development and review [1], the VirtIO v1.4 specification has
> > > > already been published and oficially defines the media device type [2].
> > > >
> > > > Adding the device ID now allows other components and tools to reference it
> > > > before the driver lands, and ensures the kernel headers stay aligned
> > > > with the specification.
> > > >
> > > > [1] https://lore.kernel.org/linux-media/[email-masked]/
> > > > [2] https://docs.oasis-open.org/virtio/virtio/v1.4/virtio-v1.4.html#x1-82200022
> > > > ---
> > > >  include/uapi/linux/virtio_ids.h | 1 +
> > > >  1 file changed, 1 insertion(+)
> > > >
> > > > diff --git a/include/uapi/linux/virtio_ids.h b/include/uapi/linux/virtio_ids.h
> > > > index 6c12db16faa3a..f9056af0c6223 100644
> > > > --- a/include/uapi/linux/virtio_ids.h
> > > > +++ b/include/uapi/linux/virtio_ids.h
> > > > @@ -69,6 +69,7 @@
> > > >  #define VIRTIO_ID_BT                   40 /* virtio bluetooth */
> > > >  #define VIRTIO_ID_GPIO                 41 /* virtio gpio */
> > > >  #define VIRTIO_ID_SPI                  45 /* virtio spi */
> > > > +#define VIRTIO_ID_MEDIA                        48 /* virtio media */
> > > >
> > > >  /*
> > > >   * Virtio Transitional IDs
> > > >
> > > > ---
> > > > base-commit: 6de23f81a5e08be8fbf5e8d7e9febc72a5b5f27f
> > > > change-id: 20260310-virtio-media-id-b31179fcdc44
> > > >
> > > > Best regards,
> > > > --
> > > > Albert Esteve <[email-masked]>
> > > >
> >

Oh my bad. I misfiled it into the spec folder. I will take care of this.
Thanks!